exclude: (?x)(\.txt)
repos:
-   repo: https://github.com/PyCQA/autoflake
    rev: v1.7.6
    hooks:
    -   id: autoflake
        name: autoflake
        args: ["--in-place", "--remove-unused-variables", "--remove-all-unused-imports"]
        language: python
        files: \.py$
-   repo: https://github.com/asottile/reorder_python_imports
    rev: v3.8.5
    hooks:
    -   id: reorder-python-imports
-   repo: https://github.com/psf/black
    rev: 22.10.0
    hooks:
    -   id: black
        args: [--safe, --quiet]
-   repo: https://github.com/asottile/blacken-docs
    rev: v1.12.1
    hooks:
    -   id: blacken-docs
        additional_dependencies: [black==22.8.0]
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.3.0
    hooks:
    -   id: trailing-whitespace
    -   id: end-of-file-fixer
    -   id: fix-encoding-pragma
        args: [--remove]
    -   id: check-yaml
        exclude: tests
    -   id: check-toml
    -   id: check-json
    -   id: check-merge-conflict
    -   id: pretty-format-json
        args: [--autofix]
    -   id: debug-statements
        language_version: python3
-   repo: https://github.com/PyCQA/flake8
    rev: 5.0.4
    hooks:
    -   id: flake8
        exclude: tests/data
        language_version: python3
        additional_dependencies:
            - flake8-typing-imports==1.9.0
            - flake8-builtins==1.5.3
            - flake8-bugbear==20.1.4
